@import "../mixins/grid/row.css";
@import "../mixins/utils/center-items.css";
@import "../mixins/text/h1.css";
@import "../mixins/text/h4.css";
@import "../mixins/tooltips/timestamp.css";
@import "../mixins/tooltips/popover.css";

.tooltips {
  @mixin row;
  @mixin center-items;
  flex-direction: column;
}

.tooltips__container__title {
  @mixin h1;
}

.tooltips__container__timestamp-tooltip {
  @mixin h4;
  @mixin timestamp-tooltip;
}

.tooltips__container__menu-popover{
  @mixin h4;
  @mixin popover-tooltip left;

  & ul {
    @mixin popover-tooltip__list;
  }

  & li {
    @mixin popover-tooltip__list__item;
  }

  & a {
    @include popover-tooltip__list__item__link()
  }
}

.tooltips__container__menu-popover--right {
  @mixin h4;
  @mixin popover-tooltip right;

  & ul {
    @mixin popover-tooltip__list;
  }

  & li {
    @mixin popover-tooltip__list__item;
  }

  & a {
    @include popover-tooltip__list__item__link()
  }
}
